pkdsm2shadow(1)

NAME
pkdsm2shadow - program to calculate sun shadow based on digital surface model and sun angles

SYNOPSIS
pkdsm2shadow
-i input -o output [-sza angle] [-saa angle] [options] [advanced options]

DESCRIPTION
pkdsm2shadow is a utility to create a binary shadow mask from a digital surface model, based on Sun zenith (\FC-sza\F[]) and azimuth angles (\FC-saa\F[]).

OPTIONS

\FC-i\F[] filename, \FC--input\F[] filename
    input image file

\FC-o\F[] filename, \FC--output\F[] filename
    Output image file

\FC-sza\F[] angle, \FC--sza\F[] angle
    Sun zenith angle.

\FC-saa\F[] angle, \FC--saa\F[] angle
    Sun azimuth angle (N=0 E=90 S=180 W=270).

\FC-f\F[] value, \FC--flag\F[] value
    Flag to put in image if pixel shadow

\FC-ot\F[] type, \FC--otype\F[] type
    Data type for output image ({Byte / Int16 / UInt16 / UInt32 / Int32 / Float32 / Float64 / CInt16 / CInt32 / CFloat32 / CFloat64}). Empty string: inherit type from input image

\FC-of\F[] GDALformat, \FC--oformat\F[] GDALformat
    Output image format (see also gdal_translate(1)).

\FC-ct\F[] filename, \FC--ct\F[] filename
    color table (file with 5 columns: id R G B ALFA (0: transparent, 255: solid)

\FC-co\F[] option, \FC--co\F[] option
    Creation option for output file. Multiple options can be specified.

\FC-v\F[] level, \FC--verbose\F[] level
    verbose mode if > 0

Advanced options

\FC-s\F[] value, \FC--scale\F[] value
    scale used for input dsm: height=scale*input+offset

\FC-off\F[] value, \FC--offset\F[] value
    offset used for input dsm: height=scale*input+offset

EXAMPLE
Create a shadow mask for the input raster dataset \FCdsm.tif\F[], using Sun zenith angle of 10 degrees and a Sun azimuth angle of 135 degrees (South-South-East). All shadow pixels are set to a value of 1.

\FC
pkdsm2shadow -i dsm.tif -sza 10 -saa 170 -f 1 -o shadow.tif
      \F[]